import request from '@/utils/request'

// 查询投票主题列表
export function listPoll(query) {
  return request({
    url: '/poll/poll/list',
    method: 'get',
    params: query
  })
}
// 查询投票主题详细
export function getPoll(id) {
  return request({
    url: '/poll/poll/get/' + id,
    method: 'get'
  })
}
// 新增投票主题
export function votePoll(id,list) {
  return request({
    url: '/poll/poll/votePoll/'+ id +'/'+ list,
    method: 'get'
  })
}

// 查询投票详情列表
export function listPollVote(query) {
  return request({
    url: '/poll/pollVote/list',
    method: 'get',
    params: query
  })
}
